# MCS_AUrq Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_AUrq:

List of all members.

## Public Member Functions

| MCS_AUrq (unsigned tag=10, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
PObject * | Clone () const

## Constructor & Destructor Documentation

MCS_AUrq::MCS_AUrq | ( | unsigned | tag = `10`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_AUrq::GetDataLength | ( |  | ) | const

PBoolean MCS_AUrq::Decode | ( | PASN_Stream & | strm | ) |

void MCS_AUrq::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_AUrq::PrintOn | ( | ostream & | strm | ) | const

PObject* MCS_AUrq::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h